package com.steerinfo.dil.controller;


import com.steerinfo.dil.feign.TmsTruckFeign;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@RequestMapping("apis")
public class ZhongJiaoXingLuContoller {

    private TmsTruckFeign tmsTruckFeign;

    //偏离预警回调示例
    @PostMapping("/abnormalLineWarn")
    public String abnormalLineWarn(@RequestParam(value = "data") String data) throws Exception {
        tmsTruckFeign.abnormalLineWarn(data);

        return "success";
    }
    //停车预警回调示例
    @PostMapping("/parkWarn")
    public String parkWarn(@RequestParam(value = "data") String data) throws Exception {
        tmsTruckFeign.parkWarn(data);
        return "success";
    }
    //离线预警回调示例
    @PostMapping("/offLineWarn")
    public String offLineWarn(@RequestParam(value = "data") String data) throws Exception {

        tmsTruckFeign.offLineWarn(data);
        return "success";
    }


}