package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.BackgroundProcessingMapper;
import com.steerinfo.dil.service.IBackgroundProcessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service(value = "backgroundProcessingService")
public class BackgroundProcessingServiceImpl implements IBackgroundProcessService {

    @Autowired
    BackgroundProcessingMapper backgroundProcessingMapper;

    @Override
    public  int updatePurOrgId(Integer orderId) {
        //获取订单类型
        Integer orderType = backgroundProcessingMapper.getOrderType(orderId);
        if(orderType == 10 || orderType == 20){
            backgroundProcessingMapper.updatePurOrgId(orderId);
        }
        return 1;
    }
}
